wrong dependencies building perl-SOAP-WSDL

Iain Arnell iarnell at gmail.com
Tue Oct 4 14:08:58 UTC 2011


On Tue, Oct 4, 2011 at 3:41 PM, Reindl Harald <h.reindl at thelounge.net> wrote:
> thank you for your feedback!
>
> Am 04.10.2011 15:33, schrieb Petr Sabata:
>> On Tue, Oct 04, 2011 at 02:39:42PM +0200, Reindl Harald wrote:
>>> hi
>>>
>>> has anybody an idea why this package can no longer be used on F15
>>> from F11 until F13 there was no problem
>>> with F14 it did not compile

rpm's dependency generator got better and now handles 'use base'
constructs better.

>>> now with F15 there is a dependency for "perl(SOAP::WSDL::Header)"
>>> generated which i do not understand in any way - this package is
>>> required for perl-Net-DRI which is also not part of fedora and
>>> if you are a domain-registrar you will need this for EPP
>>
>> SOAP::WSDL::Header is used in lib/SOAP/WSDL/SOAP/HeaderFault.pm, that's the
>> reason...
>
> hm i am not familar enough with packaging/perl
> i did not find anything about "SOAP::WSDL::Header" but:
>
> a workaround with "Provides" does it's jon and all autotests are running
> fine - (transferdomain, createdomain, updatedomain, createperson.....)
>
> Provides: perl(SOAP::WSDL::Header)

Please don't provide things that you're not really providing. It looks
to me like it's just a typo in HeaderFault.pm. I think it should be

--- HeaderFault.pm.orig 2011-10-04 16:08:11.314507144 +0200
+++ HeaderFault.pm      2011-10-04 16:07:04.501291302 +0200
@@ -1,7 +1,7 @@
 package SOAP::WSDL::SOAP::HeaderFault;
 use strict;
 use warnings;
-use base qw(SOAP::WSDL::Header);
+use base qw(SOAP::WSDL::SOAP::Header);

 use version; our $VERSION = qv('2.00.10');




-- 
Iain.


More information about the devel mailing list